package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConfContratoPuntoVenta;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.vo.configuracioneccomerciales.ConfLayoutContratoVO;

public interface ConfContratoPuntoVentaDAO extends GenericDAO<ConfContratoPuntoVenta, Integer> {
	
	public List<ConfContratoPuntoVenta> buscarConfContratoPorPuntoVenta(PuntoVenta puntoVenta);

	public ConfLayoutContratoVO buscarInformacoesPontoVendaparaGerarContratos(Integer puntoVentaId, Integer empresaId);

}
