/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Pricing;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 *
 * @author Rafius
 */
public interface PricingDAO extends GenericDAO<Pricing, Integer> {

    public List<Pricing> buscar(String nombPricing, Empresa empresa,
            Short cantboleto, Integer cantdiasanticipacion,
            BigDecimal descuentoporcentaje, BigDecimal descuentoporcredondo);

    public List<Pricing> buscarPorNombre(String nombPricing);

	public List<Pricing> buscar(Integer pricingId, String nomepricing, Integer empresaId, Date dataViagemInicio, Date dataViagemFim, Integer origemId, Integer destinoId);
	
	/**
	 * Recupera os pricings com vigencia fim da viagem acima ou igual aos dias informados.
	 * @param diasFimViagem
	 * @return
	 */
	public List<Integer> buscar(Integer diasFimViagem);
}
