package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.RequisicionBoletoDAO;
import com.rjconsultores.ventaboletos.entidad.RequisicionBoleto;

@Repository("requisicionBoletoDAO")
public class RequisicionBoletoHibernateDAO extends GenericHibernateDAO<RequisicionBoleto, Integer>
		implements RequisicionBoletoDAO {

	@Autowired
	public RequisicionBoletoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

}
