/**
 * 
 */
package com.rjconsultores.ventaboletos.utilerias.spring.security;

import org.springframework.security.core.GrantedAuthority;

/**
 * @author gleimar
 *
 */
public interface MiGrantedAuthority extends GrantedAuthority {
	/**
	 * Indica si para el permiso actual tienes acceso de lectura y escrita.
	 * 
	 *  
	 * @return 
	 * 	true - Acceso de lectura y escrita<br/>
	 * 	false - Acceso de lectura<br/>
	 * 
	 */
	public boolean fullAccess();
}
