package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfiguracionProductoDAO;
import com.rjconsultores.ventaboletos.entidad.ConfiguracionProducto;

@Repository("configuracionProductoDAO")
public class ConfiguracionProductoHibernateDAO extends GenericHibernateDAO<ConfiguracionProducto, Long> implements ConfiguracionProductoDAO{

	@Autowired
	public ConfiguracionProductoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
}
