package com.rjconsultores.ventaboletos.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ParamConexionDAO;
import com.rjconsultores.ventaboletos.entidad.ParamConexion;
import com.rjconsultores.ventaboletos.service.ParamConexionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("paramConexionService")
public class ParamConexionServiceImpl implements ParamConexionService {

	@Autowired
	private ParamConexionDAO paramConexionDAO;
	@Override
	@Transactional
	public ParamConexion actualizacion(ParamConexion paramConexion) {
		paramConexion.setFecmodif(new java.util.Date());
		paramConexion.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		
		return paramConexionDAO.actualizacion(paramConexion);
	}

}
